Skip to page content
Return to Top

Technical Requirements

Minimum System Requirements

AlcoholEdu can be run on a variety of computer configurations. Internet Explorer 7 and Flash Player 8 or later are recommended. However, certain minimum technical requirements are needed. If you are unsure about your system configuration, or if you have any questions about your configuration, just follow this link here!